services:
  app.listener.entity.customer_listener:
    class: App\Listener\Entity\CustomerListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Customer, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Customer, event: postUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\Customer, event: postPersist, lazy: true }
    arguments:
      [ '@App\Service\CustomerService']